### Method

# Gtk Widget translate_coordinates

deprecated: 4.12

#### Declaration [src]

    gboolean
    gtk_widget_translate_coordinates (
      GtkWidget* src_widget,
      GtkWidget* dest_widget,
      double src_x,
      double src_y,
      double* dest_x,
      double* dest_y
    )

#### Description [src]

Translates coordinates relative to `src_widget`’s allocation to coordinates relative to `dest_widget`’s allocations.

In order to perform this operation, both widget must share a common ancestor. If that is not the case, `dest_x` and `dest_y` are set to 0 and false is returned.

Deprecated since: 4.12

Use `gtk_widget_compute_point()` instead.

#### Parameters

`dest_widget`

  Type: `GtkWidget`

  Another widget.

  The data is owned by the caller of the method.

`src_x`

  Type: `double`

  X position in widget coordinates of `src_widget`.

`src_y`

  Type: `double`

  Y position in widget coordinates of `src_widget`.

`dest_x`

  Type: `double*`

  Location to store X position in widget coordinates of `dest_widget`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_y`

  Type: `double*`

  Location to store Y position in widget coordinates of `dest_widget`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

True if `src_widget` and `dest_widget` have a common ancestor, false otherwise.